{
  "uri": "{{ api_management_settings.frost_websocket_api_path }}",
  "name": "{{ api_management_settings.frost_websocket_api_name }}",
  "desc": "{{ api_management_settings.frost_api_description }}",
    "methods": [
      "GET"
    ],
    "plugins": {
      "prometheus": {
        "_meta": {
          "disable": false
        },
        "prefer_name": true
      },
      "loki-logger": {
        "batch_max_size": 1000,
        "buffer_duration": 60,
        "endpoint_addrs": [
          "http://loki.{{ api_management_settings.plugins.loki_logger.ns }}:3100"
        ],
        "endpoint_uri": "/loki/api/v1/push",
        "inactive_timeout": 5,
        "include_req_body": false,
        "include_resp_body": false,
        "keepalive": true,
        "keepalive_pool": 5,
        "keepalive_timeout": 60000,
        "log_labels": {
          "job": "{{ api_management_settings.plugins.loki_logger.job_label }}",
          "upstream": "{{ api_management_settings.frost_api_loki_logger_label }}",
          "route": "{{api_management_settings.frost_api_loki_logger_label}}_wss",
        },
        "max_retry_count": 0,
        "name": "loki logger",
        "retry_delay": 1,
        "ssl_verify": false,
        "tenant_id": "fake",
        "timeout": 3000
      },
      "proxy-rewrite": {
        "uri": "/wss"
      }
    },
    "upstream_id": "{{ frost_websocket_upstream_id }}",
    "enable_websocket": true,
    "status": 1
  }